> ## Documentation Index
> Fetch the complete documentation index at: https://blackbox.dasha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update knowledge base settings



## OpenAPI

````yaml https://blackbox.dasha.ai/swagger/v1/swagger.json put /api/v1/rag/kb/{id}
openapi: 3.0.4
info:
  title: Dasha BlackBox Agent API
  description: API for managing AI agents and calls
  contact:
    name: DashaAI Team
    email: support@dasha.ai
  version: v1
servers:
  - url: https://blackbox.dasha.ai
    description: Dasha BlackBox Agent API
security:
  - ApiKey: []
  - OAuth: []
tags:
  - name: ActivityLogs
  - name: Agents
  - name: AgentTestCases
  - name: CallResults
  - name: Calls
  - name: Chats
  - name: Copilot
  - name: CustomerData
  - name: Mcp
  - name: Media
  - name: Misc
  - name: PronunciationDictionaries
  - name: Providers
  - name: SipAliases
  - name: SipCredentials
  - name: SipPhoneNumbers
  - name: TextChat
  - name: TwilioProvider
  - name: Voice
  - name: WebhookTest
  - name: WebIntegrations
  - name: WebSocket
    description: WebSocket endpoints for real-time communication
paths:
  /api/v1/rag/kb/{id}:
    put:
      tags:
        - KnowledgeBase
      summary: Update knowledge base settings
      parameters:
        - name: id
          in: path
          description: Knowledge base ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Update request
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/KnowledgeBaseUpdateRequest'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/KnowledgeBaseUpdateRequest'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/KnowledgeBaseUpdateRequest'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/KnowledgeBaseUpdateRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/KnowledgeBaseInfo'
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeBaseInfo'
            text/json:
              schema:
                $ref: '#/components/schemas/KnowledgeBaseInfo'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema: {}
            application/json:
              schema: {}
            text/json:
              schema: {}
        '404':
          description: Not Found
          content:
            text/plain:
              schema: {}
            application/json:
              schema: {}
            text/json:
              schema: {}
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema: {}
            application/json:
              schema: {}
            text/json:
              schema: {}
components:
  schemas:
    KnowledgeBaseUpdateRequest:
      type: object
      properties:
        name:
          maxLength: 255
          type: string
          nullable: true
        description:
          maxLength: 1000
          type: string
          nullable: true
        settings:
          allOf:
            - $ref: '#/components/schemas/KnowledgeBaseSettings'
          nullable: true
      additionalProperties: false
    KnowledgeBaseInfo:
      type: object
      properties:
        id:
          type: string
          format: uuid
        customerId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        type:
          allOf:
            - $ref: '#/components/schemas/KnowledgeBaseType'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        statistics:
          allOf:
            - $ref: '#/components/schemas/KnowledgeBaseStatistics'
          nullable: true
        settings:
          allOf:
            - $ref: '#/components/schemas/KnowledgeBaseSettings'
          nullable: true
        embeddingsName:
          type: string
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/KnowledgeBaseStatus'
      additionalProperties: false
    KnowledgeBaseSettings:
      type: object
      additionalProperties: false
    KnowledgeBaseType:
      enum:
        - Files
      type: string
    KnowledgeBaseStatistics:
      type: object
      properties:
        knowledgeBaseId:
          type: string
          format: uuid
        storageByDocumentType:
          type: object
          additionalProperties:
            type: integer
            format: int64
          nullable: true
        documentsByStatus:
          type: object
          properties:
            Uploaded:
              type: integer
              format: int32
            Queued:
              type: integer
              format: int32
            Processing:
              type: integer
              format: int32
            Indexed:
              type: integer
              format: int32
            Failed:
              type: integer
              format: int32
            Cancelled:
              type: integer
              format: int32
            PendingDelete:
              type: integer
              format: int32
            Deleting:
              type: integer
              format: int32
          additionalProperties: false
          nullable: true
      additionalProperties: false
    KnowledgeBaseStatus:
      enum:
        - Active
        - PendingDelete
        - Deleting
      type: string
  securitySchemes:
    ApiKey:
      type: http
      description: API Key Authentication (Bearer {key})
      scheme: Bearer
    OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://auth.dasha.ai/connect/authorize
          scopes:
            platform_api: Platform API

````